Package org.eclipse.graphiti.mm.algorithms.styles.impl

# Class StylesPackageImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
org.eclipse.emf.ecore.impl.EModelElementImpl
org.eclipse.emf.ecore.impl.ENamedElementImpl
org.eclipse.emf.ecore.impl.EPackageImpl
org.eclipse.graphiti.mm.algorithms.styles.impl.StylesPackageImpl

All Implemented Interfaces:
  `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EModelElement`, `org.eclipse.emf.ecore.ENamedElement`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.EPackage`, `org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder`, `org.eclipse.emf.ecore.InternalEObject`, `org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder`, `StylesPackage`

public class StylesPackageImpl extends org.eclipse.emf.ecore.impl.EPackageImpl implements StylesPackage
An implementation of the model Package.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`org.eclipse.emf.ecore.impl.EPackageImpl.EBasicWhiteList`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Nested classes/interfaces inherited from interface org.eclipse.graphiti.mm.algorithms.styles.StylesPackage

`StylesPackage.Literals`

## Field Summary

### Fields inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`eClassifiers, ecoreFactory, ecorePackage, eFactoryInstance, eNameToEClassifierMap, ePackageExtendedMetaData, eSubpackages, IS_ABSTRACT, IS_CHANGEABLE, IS_COMPOSITE, IS_DERIVED, IS_GENERATED_INSTANCE_CLASS, IS_ID, IS_INTERFACE, IS_ORDERED, IS_RESOLVABLE, IS_RESOLVE_PROXIES, IS_SERIALIZABLE, IS_TRANSIENT, IS_UNIQUE, IS_UNSETTABLE, IS_VOLATILE, NS_PREFIX_EDEFAULT, NS_URI_EDEFAULT, nsPrefix, nsURI`

### Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl

`name, NAME_EDEFAULT`

### Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

`eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eContainer`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

### Fields inherited from interface org.eclipse.graphiti.mm.algorithms.styles.StylesPackage

`ABSTRACT_STYLE, ABSTRACT_STYLE__BACKGROUND, ABSTRACT_STYLE__FILLED, ABSTRACT_STYLE__FOREGROUND, ABSTRACT_STYLE__LINE_STYLE, ABSTRACT_STYLE__LINE_VISIBLE, ABSTRACT_STYLE__LINE_WIDTH, ABSTRACT_STYLE__RENDERING_STYLE, ABSTRACT_STYLE__TRANSPARENCY, ABSTRACT_STYLE_FEATURE_COUNT, ADAPTED_GRADIENT_COLORED_AREAS, ADAPTED_GRADIENT_COLORED_AREAS__ADAPTED_GRADIENT_COLORED_AREAS, ADAPTED_GRADIENT_COLORED_AREAS__DEFINED_STYLE_ID, ADAPTED_GRADIENT_COLORED_AREAS__GRADIENT_TYPE, ADAPTED_GRADIENT_COLORED_AREAS_FEATURE_COUNT, COLOR, COLOR__BLUE, COLOR__GREEN, COLOR__RED, COLOR_FEATURE_COUNT, eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, FONT, FONT__BOLD, FONT__ITALIC, FONT__NAME, FONT__SIZE, FONT_FEATURE_COUNT, GRADIENT_COLORED_AREA, GRADIENT_COLORED_AREA__END, GRADIENT_COLORED_AREA__START, GRADIENT_COLORED_AREA_FEATURE_COUNT, GRADIENT_COLORED_AREAS, GRADIENT_COLORED_AREAS__GRADIENT_COLOR, GRADIENT_COLORED_AREAS__STYLE_ADAPTION, GRADIENT_COLORED_AREAS_FEATURE_COUNT, GRADIENT_COLORED_LOCATION, GRADIENT_COLORED_LOCATION__COLOR, GRADIENT_COLORED_LOCATION__LOCATION_TYPE, GRADIENT_COLORED_LOCATION__LOCATION_VALUE, GRADIENT_COLORED_LOCATION_FEATURE_COUNT, LINE_STYLE, LOCATION_TYPE, ORIENTATION, POINT, POINT__AFTER, POINT__BEFORE, POINT__X, POINT__Y, POINT_FEATURE_COUNT, PRECISION_POINT, PRECISION_POINT__X, PRECISION_POINT__Y, PRECISION_POINT_FEATURE_COUNT, RENDERING_STYLE, RENDERING_STYLE__ADAPTED_GRADIENT_COLORED_AREAS, RENDERING_STYLE_FEATURE_COUNT, STYLE, STYLE__ANGLE, STYLE__BACKGROUND, STYLE__DESCRIPTION, STYLE__FILLED, STYLE__FONT, STYLE__FOREGROUND, STYLE__HORIZONTAL_ALIGNMENT, STYLE__ID, STYLE__LINE_STYLE, STYLE__LINE_VISIBLE, STYLE__LINE_WIDTH, STYLE__PROPORTIONAL, STYLE__RENDERING_STYLE, STYLE__ROTATION, STYLE__STRETCH_H, STYLE__STRETCH_V, STYLE__STYLE_CONTAINER, STYLE__STYLES, STYLE__TRANSPARENCY, STYLE__VERTICAL_ALIGNMENT, STYLE_FEATURE_COUNT, TEXT_STYLE, TEXT_STYLE__BACKGROUND, TEXT_STYLE__FONT, TEXT_STYLE__FOREGROUND, TEXT_STYLE__STRIKEOUT, TEXT_STYLE__STRIKEOUT_COLOR, TEXT_STYLE__UNDERLINE, TEXT_STYLE__UNDERLINE_COLOR, TEXT_STYLE__UNDERLINE_STYLE, TEXT_STYLE_FEATURE_COUNT, TEXT_STYLE_REGION, TEXT_STYLE_REGION__END, TEXT_STYLE_REGION__START, TEXT_STYLE_REGION__STYLE, TEXT_STYLE_REGION_FEATURE_COUNT, UNDERLINE_STYLE`

## Method Summary

Modifier and Type
Method
Description
`void`
`createPackageContents()`
Creates the meta-model objects for the package.
`org.eclipse.emf.ecore.EClass`
`getAbstractStyle()`
`org.eclipse.emf.ecore.EReference`
`getAbstractStyle_Background()`
`org.eclipse.emf.ecore.EAttribute`
`getAbstractStyle_Filled()`
`org.eclipse.emf.ecore.EReference`
`getAbstractStyle_Foreground()`
`org.eclipse.emf.ecore.EAttribute`
`getAbstractStyle_LineStyle()`
`org.eclipse.emf.ecore.EAttribute`
`getAbstractStyle_LineVisible()`
`org.eclipse.emf.ecore.EAttribute`
`getAbstractStyle_LineWidth()`
`org.eclipse.emf.ecore.EReference`
`getAbstractStyle_RenderingStyle()`
`org.eclipse.emf.ecore.EAttribute`
`getAbstractStyle_Transparency()`
`org.eclipse.emf.ecore.EClass`
`getAdaptedGradientColoredAreas()`
`org.eclipse.emf.ecore.EReference`
`getAdaptedGradientColoredAreas_AdaptedGradientColoredAreas()`
`org.eclipse.emf.ecore.EAttribute`
`getAdaptedGradientColoredAreas_DefinedStyleId()`
`org.eclipse.emf.ecore.EAttribute`
`getAdaptedGradientColoredAreas_GradientType()`
`org.eclipse.emf.ecore.EClass`
`getColor()`
`org.eclipse.emf.ecore.EAttribute`
`getColor_Blue()`
`org.eclipse.emf.ecore.EAttribute`
`getColor_Green()`
`org.eclipse.emf.ecore.EAttribute`
`getColor_Red()`
`org.eclipse.emf.ecore.EClass`
`getFont()`
`org.eclipse.emf.ecore.EAttribute`
`getFont_Bold()`
`org.eclipse.emf.ecore.EAttribute`
`getFont_Italic()`
`org.eclipse.emf.ecore.EAttribute`
`getFont_Name()`
`org.eclipse.emf.ecore.EAttribute`
`getFont_Size()`
`org.eclipse.emf.ecore.EClass`
`getGradientColoredArea()`
`org.eclipse.emf.ecore.EReference`
`getGradientColoredArea_End()`
`org.eclipse.emf.ecore.EReference`
`getGradientColoredArea_Start()`
`org.eclipse.emf.ecore.EClass`
`getGradientColoredAreas()`
`org.eclipse.emf.ecore.EReference`
`getGradientColoredAreas_GradientColor()`
`org.eclipse.emf.ecore.EAttribute`
`getGradientColoredAreas_StyleAdaption()`
`org.eclipse.emf.ecore.EClass`
`getGradientColoredLocation()`
`org.eclipse.emf.ecore.EReference`
`getGradientColoredLocation_Color()`
`org.eclipse.emf.ecore.EAttribute`
`getGradientColoredLocation_LocationType()`
`org.eclipse.emf.ecore.EAttribute`
`getGradientColoredLocation_LocationValue()`
`org.eclipse.emf.ecore.EEnum`
`getLineStyle()`
`org.eclipse.emf.ecore.EEnum`
`getLocationType()`
`org.eclipse.emf.ecore.EEnum`
`getOrientation()`
`org.eclipse.emf.ecore.EClass`
`getPoint()`
`org.eclipse.emf.ecore.EAttribute`
`getPoint_After()`
`org.eclipse.emf.ecore.EAttribute`
`getPoint_Before()`
`org.eclipse.emf.ecore.EAttribute`
`getPoint_X()`
`org.eclipse.emf.ecore.EAttribute`
`getPoint_Y()`
`org.eclipse.emf.ecore.EClass`
`getPrecisionPoint()`
`org.eclipse.emf.ecore.EAttribute`
`getPrecisionPoint_X()`
`org.eclipse.emf.ecore.EAttribute`
`getPrecisionPoint_Y()`
`org.eclipse.emf.ecore.EClass`
`getRenderingStyle()`
`org.eclipse.emf.ecore.EReference`
`getRenderingStyle_AdaptedGradientColoredAreas()`
`org.eclipse.emf.ecore.EClass`
`getStyle()`
`org.eclipse.emf.ecore.EAttribute`
`getStyle_Angle()`
`org.eclipse.emf.ecore.EAttribute`
`getStyle_Description()`
`org.eclipse.emf.ecore.EReference`
`getStyle_Font()`
`org.eclipse.emf.ecore.EAttribute`
`getStyle_HorizontalAlignment()`
`org.eclipse.emf.ecore.EAttribute`
`getStyle_Id()`
`org.eclipse.emf.ecore.EAttribute`
`getStyle_Proportional()`
`org.eclipse.emf.ecore.EAttribute`
`getStyle_Rotation()`
`org.eclipse.emf.ecore.EAttribute`
`getStyle_StretchH()`
`org.eclipse.emf.ecore.EAttribute`
`getStyle_StretchV()`
`org.eclipse.emf.ecore.EReference`
`getStyle_StyleContainer()`
`org.eclipse.emf.ecore.EAttribute`
`getStyle_VerticalAlignment()`
`StylesFactory`
`getStylesFactory()`
`org.eclipse.emf.ecore.EClass`
`getTextStyle()`
`org.eclipse.emf.ecore.EReference`
`getTextStyle_Background()`
`org.eclipse.emf.ecore.EReference`
`getTextStyle_Font()`
`org.eclipse.emf.ecore.EReference`
`getTextStyle_Foreground()`
`org.eclipse.emf.ecore.EAttribute`
`getTextStyle_Strikeout()`
`org.eclipse.emf.ecore.EReference`
`getTextStyle_StrikeoutColor()`
`org.eclipse.emf.ecore.EAttribute`
`getTextStyle_Underline()`
`org.eclipse.emf.ecore.EReference`
`getTextStyle_UnderlineColor()`
`org.eclipse.emf.ecore.EAttribute`
`getTextStyle_UnderlineStyle()`
`org.eclipse.emf.ecore.EClass`
`getTextStyleRegion()`
`org.eclipse.emf.ecore.EAttribute`
`getTextStyleRegion_End()`
`org.eclipse.emf.ecore.EAttribute`
`getTextStyleRegion_Start()`
`org.eclipse.emf.ecore.EReference`
`getTextStyleRegion_Style()`
`org.eclipse.emf.ecore.EEnum`
`getUnderlineStyle()`
`static StylesPackage`
`init()`
Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void`
`initializePackageContents()`
Complete the initialization of the package and its meta-model.

### Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`addAnnotation, addAnnotation, addAnnotation, addAnnotation, addAnnotation, addAnnotation, addEEnumLiteral, addEException, addEException, addEOperation, addEOperation, addEOperation, addEParameter, addEParameter, addEParameter, addEParameter, addEParameter, addETypeParameter, addETypeParameter, basicGetESuperPackage, basicSetEFactoryInstance, createEAttribute, createEClass, createEDataType, createEEnum, createEGenericType, createEGenericType, createEGenericType, createEOperation, createEReference, createResource, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eSet, eSetProxyURI, eStaticClass, eUnset, fixEClassifiers, fixEEnumLiterals, fixEOperations, fixEStructuralFeatures, fixInstanceClass, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEClass, initEClass, initEClass, initEDataType, initEDataType, initEDataType, initEEnum, initEOperation, initEOperation, initEOperation, initEOperation, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initializeFromLoadedEPackage, setEFactoryInstance, setExtendedMetaData, setGeneratedClassName, setInstanceTypeName, setName, setNamespaceURI, setNsPrefix, setNsURI, toString`

### Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl

`eContents, eCrossReferences, getName, getNameGen`

### Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

`eObjectForURIFragmentSegment, eSetDirectResource, eURIFragmentSegment, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eBasicSetContainer, eInternalContainer`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSettings`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

`getEAnnotation, getEAnnotations`

### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

`getName, setName`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.EPackage

`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### init

public static StylesPackage init()
Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

This method is used to initialize `StylesPackage.eINSTANCE` when that field is accessed. Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.

See Also:
  - `StylesPackage.eNS_URI`
  - `createPackageContents()`
  - `initializePackageContents()`

### getRenderingStyle

public org.eclipse.emf.ecore.EClass getRenderingStyle()

Specified by:
  `getRenderingStyle` in interface `StylesPackage`
Returns:
  the meta object for class 'Rendering Style'.
See Also:
  - `RenderingStyle`

### getRenderingStyle_AdaptedGradientColoredAreas

public org.eclipse.emf.ecore.EReference getRenderingStyle_AdaptedGradientColoredAreas()

Specified by:
  `getRenderingStyle_AdaptedGradientColoredAreas` in interface `StylesPackage`
Returns:
  the meta object for the containment reference 'Adapted Gradient Colored Areas'.
See Also:
  - `RenderingStyle.getAdaptedGradientColoredAreas()`
  - `StylesPackage.getRenderingStyle()`

### getStyle

public org.eclipse.emf.ecore.EClass getStyle()

Specified by:
  `getStyle` in interface `StylesPackage`
Returns:
  the meta object for class 'Style'.
See Also:
  - `Style`

### getStyle_Id

public org.eclipse.emf.ecore.EAttribute getStyle_Id()

Specified by:
  `getStyle_Id` in interface `StylesPackage`
Returns:
  the meta object for the attribute 'Id'.
See Also:
  - `Style.getId()`
  - `StylesPackage.getStyle()`

### getStyle_Description

public org.eclipse.emf.ecore.EAttribute getStyle_Description()

Specified by:
  `getStyle_Description` in interface `StylesPackage`
Returns:
  the meta object for the attribute 'Description'.
See Also:
  - `Style.getDescription()`
  - `StylesPackage.getStyle()`

### getStyle_Font

public org.eclipse.emf.ecore.EReference getStyle_Font()

Specified by:
  `getStyle_Font` in interface `StylesPackage`
Returns:
  the meta object for the reference 'Font'.
See Also:
  - `Style.getFont()`
  - `StylesPackage.getStyle()`

### getStyle_HorizontalAlignment

public org.eclipse.emf.ecore.EAttribute getStyle_HorizontalAlignment()

Specified by:
  `getStyle_HorizontalAlignment` in interface `StylesPackage`
Returns:
  the meta object for the attribute 'Horizontal Alignment'.
See Also:
  - `Style.getHorizontalAlignment()`
  - `StylesPackage.getStyle()`

### getStyle_VerticalAlignment

public org.eclipse.emf.ecore.EAttribute getStyle_VerticalAlignment()

Specified by:
  `getStyle_VerticalAlignment` in interface `StylesPackage`
Returns:
  the meta object for the attribute 'Vertical Alignment'.
See Also:
  - `Style.getVerticalAlignment()`
  - `StylesPackage.getStyle()`

### getStyle_Angle

public org.eclipse.emf.ecore.EAttribute getStyle_Angle()

Specified by:
  `getStyle_Angle` in interface `StylesPackage`
Returns:
  the meta object for the attribute 'Angle'.
See Also:
  - `Style.getAngle()`
  - `StylesPackage.getStyle()`

### getStyle_StretchH

public org.eclipse.emf.ecore.EAttribute getStyle_StretchH()

Specified by:
  `getStyle_StretchH` in interface `StylesPackage`
Returns:
  the meta object for the attribute 'Stretch H'.
See Also:
  - `Style.getStretchH()`
  - `StylesPackage.getStyle()`

### getStyle_StretchV

public org.eclipse.emf.ecore.EAttribute getStyle_StretchV()

Specified by:
  `getStyle_StretchV` in interface `StylesPackage`
Returns:
  the meta object for the attribute 'Stretch V'.
See Also:
  - `Style.getStretchV()`
  - `StylesPackage.getStyle()`

### getStyle_Proportional

public org.eclipse.emf.ecore.EAttribute getStyle_Proportional()

Specified by:
  `getStyle_Proportional` in interface `StylesPackage`
Returns:
  the meta object for the attribute 'Proportional'.
See Also:
  - `Style.getProportional()`
  - `StylesPackage.getStyle()`

### getStyle_StyleContainer

public org.eclipse.emf.ecore.EReference getStyle_StyleContainer()

Specified by:
  `getStyle_StyleContainer` in interface `StylesPackage`
Returns:
  the meta object for the container reference 'Style Container'.
See Also:
  - `Style.getStyleContainer()`
  - `StylesPackage.getStyle()`

### getStyle_Rotation

public org.eclipse.emf.ecore.EAttribute getStyle_Rotation()

Specified by:
  `getStyle_Rotation` in interface `StylesPackage`
Returns:
  the meta object for the attribute 'Rotation'.
See Also:
  - `Style.getRotation()`
  - `StylesPackage.getStyle()`

### getAbstractStyle

public org.eclipse.emf.ecore.EClass getAbstractStyle()

Specified by:
  `getAbstractStyle` in interface `StylesPackage`
Returns:
  the meta object for class 'Abstract Style'.
See Also:
  - `AbstractStyle`

### getAbstractStyle_Background

public org.eclipse.emf.ecore.EReference getAbstractStyle_Background()

Specified by:
  `getAbstractStyle_Background` in interface `StylesPackage`
Returns:
  the meta object for the reference 'Background'.
See Also:
  - `AbstractStyle.getBackground()`
  - `StylesPackage.getAbstractStyle()`

### getAbstractStyle_Foreground

public org.eclipse.emf.ecore.EReference getAbstractStyle_Foreground()

Specified by:
  `getAbstractStyle_Foreground` in interface `StylesPackage`
Returns:
  the meta object for the reference 'Foreground'.
See Also:
  - `AbstractStyle.getForeground()`
  - `StylesPackage.getAbstractStyle()`

### getAbstractStyle_LineWidth

public org.eclipse.emf.ecore.EAttribute getAbstractStyle_LineWidth()

Specified by:
  `getAbstractStyle_LineWidth` in interface `StylesPackage`
Returns:
  the meta object for the attribute 'Line Width'.
See Also:
  - `AbstractStyle.getLineWidth()`
  - `StylesPackage.getAbstractStyle()`

### getAbstractStyle_LineStyle

public org.eclipse.emf.ecore.EAttribute getAbstractStyle_LineStyle()

Specified by:
  `getAbstractStyle_LineStyle` in interface `StylesPackage`
Returns:
  the meta object for the attribute 'Line Style'.
See Also:
  - `AbstractStyle.getLineStyle()`
  - `StylesPackage.getAbstractStyle()`

### getAbstractStyle_Filled

public org.eclipse.emf.ecore.EAttribute getAbstractStyle_Filled()

Specified by:
  `getAbstractStyle_Filled` in interface `StylesPackage`
Returns:
  the meta object for the attribute 'Filled'.
See Also:
  - `AbstractStyle.getFilled()`
  - `StylesPackage.getAbstractStyle()`

### getAbstractStyle_LineVisible

public org.eclipse.emf.ecore.EAttribute getAbstractStyle_LineVisible()

Specified by:
  `getAbstractStyle_LineVisible` in interface `StylesPackage`
Returns:
  the meta object for the attribute 'Line Visible'.
See Also:
  - `AbstractStyle.getLineVisible()`
  - `StylesPackage.getAbstractStyle()`

### getAbstractStyle_RenderingStyle

public org.eclipse.emf.ecore.EReference getAbstractStyle_RenderingStyle()

Specified by:
  `getAbstractStyle_RenderingStyle` in interface `StylesPackage`
Returns:
  the meta object for the containment reference 'Rendering Style'.
See Also:
  - `AbstractStyle.getRenderingStyle()`
  - `StylesPackage.getAbstractStyle()`

### getAbstractStyle_Transparency

public org.eclipse.emf.ecore.EAttribute getAbstractStyle_Transparency()

Specified by:
  `getAbstractStyle_Transparency` in interface `StylesPackage`
Returns:
  the meta object for the attribute 'Transparency'.
See Also:
  - `AbstractStyle.getTransparency()`
  - `StylesPackage.getAbstractStyle()`

### getGradientColoredLocation

public org.eclipse.emf.ecore.EClass getGradientColoredLocation()

Specified by:
  `getGradientColoredLocation` in interface `StylesPackage`
Returns:
  the meta object for class 'Gradient Colored Location'.
See Also:
  - `GradientColoredLocation`

### getGradientColoredLocation_LocationType

public org.eclipse.emf.ecore.EAttribute getGradientColoredLocation_LocationType()

Specified by:
  `getGradientColoredLocation_LocationType` in interface `StylesPackage`
Returns:
  the meta object for the attribute 'Location Type'.
See Also:
  - `GradientColoredLocation.getLocationType()`
  - `StylesPackage.getGradientColoredLocation()`

### getGradientColoredLocation_LocationValue

public org.eclipse.emf.ecore.EAttribute getGradientColoredLocation_LocationValue()

Specified by:
  `getGradientColoredLocation_LocationValue` in interface `StylesPackage`
Returns:
  the meta object for the attribute 'Location Value'.
See Also:
  - `GradientColoredLocation.getLocationValue()`
  - `StylesPackage.getGradientColoredLocation()`

### getGradientColoredLocation_Color

public org.eclipse.emf.ecore.EReference getGradientColoredLocation_Color()

Specified by:
  `getGradientColoredLocation_Color` in interface `StylesPackage`
Returns:
  the meta object for the containment reference 'Color'.
See Also:
  - `GradientColoredLocation.getColor()`
  - `StylesPackage.getGradientColoredLocation()`

### getGradientColoredArea

public org.eclipse.emf.ecore.EClass getGradientColoredArea()

Specified by:
  `getGradientColoredArea` in interface `StylesPackage`
Returns:
  the meta object for class 'Gradient Colored Area'.
See Also:
  - `GradientColoredArea`

### getGradientColoredArea_Start

public org.eclipse.emf.ecore.EReference getGradientColoredArea_Start()

Specified by:
  `getGradientColoredArea_Start` in interface `StylesPackage`
Returns:
  the meta object for the containment reference 'Start'.
See Also:
  - `GradientColoredArea.getStart()`
  - `StylesPackage.getGradientColoredArea()`

### getGradientColoredArea_End

public org.eclipse.emf.ecore.EReference getGradientColoredArea_End()

Specified by:
  `getGradientColoredArea_End` in interface `StylesPackage`
Returns:
  the meta object for the containment reference 'End'.
See Also:
  - `GradientColoredArea.getEnd()`
  - `StylesPackage.getGradientColoredArea()`

### getGradientColoredAreas

public org.eclipse.emf.ecore.EClass getGradientColoredAreas()

Specified by:
  `getGradientColoredAreas` in interface `StylesPackage`
Returns:
  the meta object for class 'Gradient Colored Areas'.
See Also:
  - `GradientColoredAreas`

### getGradientColoredAreas_GradientColor

public org.eclipse.emf.ecore.EReference getGradientColoredAreas_GradientColor()

Specified by:
  `getGradientColoredAreas_GradientColor` in interface `StylesPackage`
Returns:
  the meta object for the containment reference list 'Gradient Color'.
See Also:
  - `GradientColoredAreas.getGradientColor()`
  - `StylesPackage.getGradientColoredAreas()`

### getGradientColoredAreas_StyleAdaption

public org.eclipse.emf.ecore.EAttribute getGradientColoredAreas_StyleAdaption()

Specified by:
  `getGradientColoredAreas_StyleAdaption` in interface `StylesPackage`
Returns:
  the meta object for the attribute 'Style Adaption'.
See Also:
  - `GradientColoredAreas.getStyleAdaption()`
  - `StylesPackage.getGradientColoredAreas()`

### getAdaptedGradientColoredAreas

public org.eclipse.emf.ecore.EClass getAdaptedGradientColoredAreas()

Specified by:
  `getAdaptedGradientColoredAreas` in interface `StylesPackage`
Returns:
  the meta object for class 'Adapted Gradient Colored Areas'.
See Also:
  - `AdaptedGradientColoredAreas`

### getAdaptedGradientColoredAreas_DefinedStyleId

public org.eclipse.emf.ecore.EAttribute getAdaptedGradientColoredAreas_DefinedStyleId()

Specified by:
  `getAdaptedGradientColoredAreas_DefinedStyleId` in interface `StylesPackage`
Returns:
  the meta object for the attribute 'Defined Style Id'.
See Also:
  - `AdaptedGradientColoredAreas.getDefinedStyleId()`
  - `StylesPackage.getAdaptedGradientColoredAreas()`

### getAdaptedGradientColoredAreas_AdaptedGradientColoredAreas

public org.eclipse.emf.ecore.EReference getAdaptedGradientColoredAreas_AdaptedGradientColoredAreas()

Specified by:
  `getAdaptedGradientColoredAreas_AdaptedGradientColoredAreas` in interface `StylesPackage`
Returns:
  the meta object for the containment reference list 'Adapted Gradient Colored Areas'.
See Also:
  - `AdaptedGradientColoredAreas.getAdaptedGradientColoredAreas()`
  - `StylesPackage.getAdaptedGradientColoredAreas()`

### getAdaptedGradientColoredAreas_GradientType

public org.eclipse.emf.ecore.EAttribute getAdaptedGradientColoredAreas_GradientType()

Specified by:
  `getAdaptedGradientColoredAreas_GradientType` in interface `StylesPackage`
Returns:
  the meta object for the attribute 'Gradient Type'.
See Also:
  - `AdaptedGradientColoredAreas.getGradientType()`
  - `StylesPackage.getAdaptedGradientColoredAreas()`

### getFont

public org.eclipse.emf.ecore.EClass getFont()

Specified by:
  `getFont` in interface `StylesPackage`
Returns:
  the meta object for class 'Font'.
See Also:
  - `Font`

### getFont_Name

public org.eclipse.emf.ecore.EAttribute getFont_Name()

Specified by:
  `getFont_Name` in interface `StylesPackage`
Returns:
  the meta object for the attribute 'Name'.
See Also:
  - `Font.getName()`
  - `StylesPackage.getFont()`

### getFont_Size

public org.eclipse.emf.ecore.EAttribute getFont_Size()

Specified by:
  `getFont_Size` in interface `StylesPackage`
Returns:
  the meta object for the attribute 'Size'.
See Also:
  - `Font.getSize()`
  - `StylesPackage.getFont()`

### getFont_Italic

public org.eclipse.emf.ecore.EAttribute getFont_Italic()

Specified by:
  `getFont_Italic` in interface `StylesPackage`
Returns:
  the meta object for the attribute 'Italic'.
See Also:
  - `Font.isItalic()`
  - `StylesPackage.getFont()`

### getFont_Bold

public org.eclipse.emf.ecore.EAttribute getFont_Bold()

Specified by:
  `getFont_Bold` in interface `StylesPackage`
Returns:
  the meta object for the attribute 'Bold'.
See Also:
  - `Font.isBold()`
  - `StylesPackage.getFont()`

### getPoint

public org.eclipse.emf.ecore.EClass getPoint()

Specified by:
  `getPoint` in interface `StylesPackage`
Returns:
  the meta object for class 'Point'.
See Also:
  - `Point`

### getPoint_X

public org.eclipse.emf.ecore.EAttribute getPoint_X()

Specified by:
  `getPoint_X` in interface `StylesPackage`
Returns:
  the meta object for the attribute 'X'.
See Also:
  - `Point.getX()`
  - `StylesPackage.getPoint()`

### getPoint_Y

public org.eclipse.emf.ecore.EAttribute getPoint_Y()

Specified by:
  `getPoint_Y` in interface `StylesPackage`
Returns:
  the meta object for the attribute 'Y'.
See Also:
  - `Point.getY()`
  - `StylesPackage.getPoint()`

### getPoint_Before

public org.eclipse.emf.ecore.EAttribute getPoint_Before()

Specified by:
  `getPoint_Before` in interface `StylesPackage`
Returns:
  the meta object for the attribute 'Before'.
See Also:
  - `Point.getBefore()`
  - `StylesPackage.getPoint()`

### getPoint_After

public org.eclipse.emf.ecore.EAttribute getPoint_After()

Specified by:
  `getPoint_After` in interface `StylesPackage`
Returns:
  the meta object for the attribute 'After'.
See Also:
  - `Point.getAfter()`
  - `StylesPackage.getPoint()`

### getColor

public org.eclipse.emf.ecore.EClass getColor()

Specified by:
  `getColor` in interface `StylesPackage`
Returns:
  the meta object for class 'Color'.
See Also:
  - `Color`

### getColor_Red

public org.eclipse.emf.ecore.EAttribute getColor_Red()

Specified by:
  `getColor_Red` in interface `StylesPackage`
Returns:
  the meta object for the attribute 'Red'.
See Also:
  - `Color.getRed()`
  - `StylesPackage.getColor()`

### getColor_Green

public org.eclipse.emf.ecore.EAttribute getColor_Green()

Specified by:
  `getColor_Green` in interface `StylesPackage`
Returns:
  the meta object for the attribute 'Green'.
See Also:
  - `Color.getGreen()`
  - `StylesPackage.getColor()`

### getColor_Blue

public org.eclipse.emf.ecore.EAttribute getColor_Blue()

Specified by:
  `getColor_Blue` in interface `StylesPackage`
Returns:
  the meta object for the attribute 'Blue'.
See Also:
  - `Color.getBlue()`
  - `StylesPackage.getColor()`

### getPrecisionPoint

public org.eclipse.emf.ecore.EClass getPrecisionPoint()

Specified by:
  `getPrecisionPoint` in interface `StylesPackage`
Returns:
  the meta object for class 'Precision Point'.
See Also:
  - `PrecisionPoint`

### getPrecisionPoint_X

public org.eclipse.emf.ecore.EAttribute getPrecisionPoint_X()

Specified by:
  `getPrecisionPoint_X` in interface `StylesPackage`
Returns:
  the meta object for the attribute 'X'.
See Also:
  - `PrecisionPoint.getX()`
  - `StylesPackage.getPrecisionPoint()`

### getPrecisionPoint_Y

public org.eclipse.emf.ecore.EAttribute getPrecisionPoint_Y()

Specified by:
  `getPrecisionPoint_Y` in interface `StylesPackage`
Returns:
  the meta object for the attribute 'Y'.
See Also:
  - `PrecisionPoint.getY()`
  - `StylesPackage.getPrecisionPoint()`

### getTextStyle

public org.eclipse.emf.ecore.EClass getTextStyle()

Specified by:
  `getTextStyle` in interface `StylesPackage`
Returns:
  the meta object for class 'Text Style'.
See Also:
  - `TextStyle`

### getTextStyle_Underline

public org.eclipse.emf.ecore.EAttribute getTextStyle_Underline()

Specified by:
  `getTextStyle_Underline` in interface `StylesPackage`
Returns:
  the meta object for the attribute 'Underline'.
See Also:
  - `TextStyle.isUnderline()`
  - `StylesPackage.getTextStyle()`

### getTextStyle_UnderlineStyle

public org.eclipse.emf.ecore.EAttribute getTextStyle_UnderlineStyle()

Specified by:
  `getTextStyle_UnderlineStyle` in interface `StylesPackage`
Returns:
  the meta object for the attribute 'Underline Style'.
See Also:
  - `TextStyle.getUnderlineStyle()`
  - `StylesPackage.getTextStyle()`

### getTextStyle_Strikeout

public org.eclipse.emf.ecore.EAttribute getTextStyle_Strikeout()

Specified by:
  `getTextStyle_Strikeout` in interface `StylesPackage`
Returns:
  the meta object for the attribute 'Strikeout'.
See Also:
  - `TextStyle.isStrikeout()`
  - `StylesPackage.getTextStyle()`

### getTextStyle_Font

public org.eclipse.emf.ecore.EReference getTextStyle_Font()

Specified by:
  `getTextStyle_Font` in interface `StylesPackage`
Returns:
  the meta object for the reference 'Font'.
See Also:
  - `TextStyle.getFont()`
  - `StylesPackage.getTextStyle()`

### getTextStyle_Foreground

public org.eclipse.emf.ecore.EReference getTextStyle_Foreground()

Specified by:
  `getTextStyle_Foreground` in interface `StylesPackage`
Returns:
  the meta object for the reference 'Foreground'.
See Also:
  - `TextStyle.getForeground()`
  - `StylesPackage.getTextStyle()`

### getTextStyle_Background

public org.eclipse.emf.ecore.EReference getTextStyle_Background()

Specified by:
  `getTextStyle_Background` in interface `StylesPackage`
Returns:
  the meta object for the reference 'Background'.
See Also:
  - `TextStyle.getBackground()`
  - `StylesPackage.getTextStyle()`

### getTextStyle_UnderlineColor

public org.eclipse.emf.ecore.EReference getTextStyle_UnderlineColor()

Specified by:
  `getTextStyle_UnderlineColor` in interface `StylesPackage`
Returns:
  the meta object for the reference 'Underline Color'.
See Also:
  - `TextStyle.getUnderlineColor()`
  - `StylesPackage.getTextStyle()`

### getTextStyle_StrikeoutColor

public org.eclipse.emf.ecore.EReference getTextStyle_StrikeoutColor()

Specified by:
  `getTextStyle_StrikeoutColor` in interface `StylesPackage`
Returns:
  the meta object for the reference 'Strikeout Color'.
See Also:
  - `TextStyle.getStrikeoutColor()`
  - `StylesPackage.getTextStyle()`

### getTextStyleRegion

public org.eclipse.emf.ecore.EClass getTextStyleRegion()

Specified by:
  `getTextStyleRegion` in interface `StylesPackage`
Returns:
  the meta object for class 'Text Style Region'.
See Also:
  - `TextStyleRegion`

### getTextStyleRegion_Start

public org.eclipse.emf.ecore.EAttribute getTextStyleRegion_Start()

Specified by:
  `getTextStyleRegion_Start` in interface `StylesPackage`
Returns:
  the meta object for the attribute 'Start'.
See Also:
  - `TextStyleRegion.getStart()`
  - `StylesPackage.getTextStyleRegion()`

### getTextStyleRegion_End

public org.eclipse.emf.ecore.EAttribute getTextStyleRegion_End()

Specified by:
  `getTextStyleRegion_End` in interface `StylesPackage`
Returns:
  the meta object for the attribute 'End'.
See Also:
  - `TextStyleRegion.getEnd()`
  - `StylesPackage.getTextStyleRegion()`

### getTextStyleRegion_Style

public org.eclipse.emf.ecore.EReference getTextStyleRegion_Style()

Specified by:
  `getTextStyleRegion_Style` in interface `StylesPackage`
Returns:
  the meta object for the containment reference 'Style'.
See Also:
  - `TextStyleRegion.getStyle()`
  - `StylesPackage.getTextStyleRegion()`

### getLineStyle

public org.eclipse.emf.ecore.EEnum getLineStyle()

Specified by:
  `getLineStyle` in interface `StylesPackage`
Returns:
  the meta object for enum 'Line Style'.
See Also:
  - `LineStyle`

### getOrientation

public org.eclipse.emf.ecore.EEnum getOrientation()

Specified by:
  `getOrientation` in interface `StylesPackage`
Returns:
  the meta object for enum 'Orientation'.
See Also:
  - `Orientation`

### getLocationType

public org.eclipse.emf.ecore.EEnum getLocationType()

Specified by:
  `getLocationType` in interface `StylesPackage`
Returns:
  the meta object for enum 'Location Type'.
See Also:
  - `LocationType`

### getUnderlineStyle

public org.eclipse.emf.ecore.EEnum getUnderlineStyle()

Specified by:
  `getUnderlineStyle` in interface `StylesPackage`
Returns:
  the meta object for enum 'Underline Style'.
See Also:
  - `UnderlineStyle`

### getStylesFactory

public StylesFactory getStylesFactory()

Specified by:
  `getStylesFactory` in interface `StylesPackage`
Returns:
  the factory that creates the instances of the model.

### createPackageContents

public void createPackageContents()
Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

### initializePackageContents

public void initializePackageContents()
Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.